package com.gci.boot.annotation.repeat;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 需要结合@TableRepeat使用
 * @author 24642
 */
@Target({ElementType.FIELD})
@Retention(RetentionPolicy.RUNTIME)
public @interface FieldRepeat {
    /**
     * 属性名
     */
    String PropName() default "";

    /**
     * 不重复关联属性 --未完成
     */
    String other() default "";
    String message() default "你所输入的内容已存在";
}